# frozen_string_literal: true

require 'sql-parser'

include SqlParser::Statement

module Emanator
  class Replica
    def initialize(target, view)
      @target = target
      @view = view
      parser = SQLParser::Parser.new
      @ast = parser.scan_str(view)
    end

    def operate(change)
      match(@ast, DirectSelect => select(@ast.query_expression, change))
    end

    def select(query, change)
      match(query, Select =>

      )
    end

    def process(change_data)
      [
        "UPDATE emanator_progress SET txid = #{change_data.txid}"
      ]
    end
  end
end
